This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 802787 - Temporary Content Deployment Files Not Removed - JBoss AS5 Plugin
Temporary Content Deployment Files Not Removed - JBoss AS5 Plugin
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.3
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: RHQ 4.4.0
Assigned To: Stefan Negrea
Mike Foley
:
Depends On:
Blocks: 758753
  Show dependency treegraph
 
Reported: 2012-03-13 10:11 EDT by Stefan Negrea
Modified: 2013-09-01 06:11 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 06:11:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stefan Negrea 2012-03-13 10:11:58 EDT
Description of problem:
Deployment files are not removed from disk at the end of the deployment procedure. The files are stored in the agent temp folder, so they will be removed next time the agent is restarted. However, in between agent restarts these files will just accumulate on disk.

How reproducible:
Every time


Steps to Reproduce Problem:
1. Inventory an AS5 server
2. Deploy new content for an application
3. Wait for the deployment to complete
4. Check the temp folder of the agent
  
Actual results:
The deployed content is still on disk in the agent temp folder.

Expected results:
The deployed content is no longer on disk.
Comment 1 Heiko W. Rupp 2013-09-01 06:11:31 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.